ant-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Dominique Devienne <ddevie...@gmail.com>
Subject Re: Re:AntDoc fails under JDK 1.5
Date Tue, 29 Nov 2005 14:52:23 GMT
>  I have tested also adding the property
>  processor ="com.icl.saxon.TransformerFactoryImpl"

That's the old package name for Saxon. The 8.5 (or is it 8.6 now)
version has a net.sf.saxon package.

>  with the same result. As you can see saxon.jar is on the classpath.
> Probably it has to come first on the boot classpath (before the JDK),
> but I don't know how to do that with ant. Do you have any idea about
> how to do that?

You only need to mess with the bootclasspath when you are trying to
use your own version of packages shipped with the JDK. In this case,
you want to use a different implementation of a different API (TraX),
so it's simpler.

To use saxon with <style>, I simply add -lib /path/to/saxon8.jar on
the Ant command line. <style> looks up the XSLT engine using TraX, so
I'd expect <antdoc> to do as well. There are additional info on the
Ant wiki on how to use Saxon with Ant.

But like Jakob said, you may be able to use <antdoc> with the default
XSL 1.0 engine from the JDK. --DD

---------------------------------------------------------------------
To unsubscribe, e-mail: user-unsubscribe@ant.apache.org
For additional commands, e-mail: user-help@ant.apache.org


Mime
View raw message